aboutsummaryrefslogtreecommitdiffstats
path: root/INSTALL/setup_image.sh
diff options
context:
space:
mode:
Diffstat (limited to 'INSTALL/setup_image.sh')
-rwxr-xr-xINSTALL/setup_image.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/INSTALL/setup_image.sh b/INSTALL/setup_image.sh
index 00a0a50..b7df59d 100755
--- a/INSTALL/setup_image.sh
+++ b/INSTALL/setup_image.sh
@@ -18,12 +18,16 @@ function debug() {
set -x
return 0 # continue
}
-trap debug ERR # on error, run a sleep tp debug container
-
# get the INSTALL dir (the one where we were launched)
INSTDIR=$(cd $(dirname $0) && pwd -P)
echo "Detected container install dir = $INSTDIR"
+if [[ -f $INSTDIR/DEBUG ]]; then
+ echo "#### DEBUG MODE IS ACTIVE ####"
+ trap debug ERR # on error, run a sleep tp debug container
+fi
+
+
################################## variables #################################
# source variables in conf file